<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="utf-8" %>
<%@include file="/WEB-INF/ehr/commons/jsp/commonInclude.jsp" %>
<script type="text/javascript">

    /* *************************** 模块初始化 ***************************** */
    var editorParam = {
        //form
        actionUrl:"${contextRoot}/param/addParam",

        init: function () {

            this.initForm();
            this.bindEvents();
        },
        initForm: function () {
            var me = this;
           var data;
            var modelString = "${model.id}";
            if(modelString!=undefined && modelString!=null && modelString.length>0)
            {
               data={
                    id: "${model.id}",
                    paramKey: "${model.paramKey}",
                    paramValue: "${model.paramValue}",
                    remark: "${model.remark}",
                };

                me.actionUrl = "${contextRoot}/param/updateParam";
            }

            $("#div_info_form").ligerAutoForm({
                data:data,
                validate:{
                    paramKey:"required",

                    paramValue: {
                        required:true
                    }

                },

            });
        },
        bindEvents: function () {
            var me = this;
            $("#btnSave").click(function () {
                if(!$("#div_info_form").ligerAutoForm("validate")){
                    return;
                }
                var data = $("#div_info_form").ligerAutoForm("getData");
                $.ajax({ //ajax处理
                    type: "POST",
                    url : me.actionUrl,
                    dataType : "json",
                    data:data,
                    cache:false,
                    success :function(data){
                        if(data.successFlg) {
                            parent.systemParam.dialogSuccess(data.message);
                        }
                        else{
                            $.ligerDialog.error(data.message);
                        }
                    },
                    error :function(data){
                        $.ligerDialog.error("Status:"+data.status +"(" +data.statusText+")");
                    }
                });
            });

            $("#btnCancel").click(function(){
                parent.systemParam.dialog.close();
            });

        }
    };



    $(function () {
        editorParam.init();

    });
</script>